AROS ABIv0 Maintenance Thread

deadwood · 5625

wawa

  • Senior Member
  • ****
    • Posts: 265
    • Karma: +2/-0
Reply #15 on: November 02, 2019, 10:22:48 AM
i fear i recall you telling me it needs to be at least gcc5 because of -std=c++11. and it seems nicola has at least tried to use 6.1.0. if he succeeded and had produced working binary i cant tell. this all looks pretty chaotic tbh.



salvo

  • Legendary Member
  • *****
    • Posts: 511
    • Karma: +7/-0
  • Invalid Civil
    • Youtube Music Channel
Reply #16 on: November 02, 2019, 12:24:32 PM
hi try this by nicola scendoni the patch have ffmpeg that not functionally, have been the default deadwood ffmpeg

https://github.com/nscendoni/OdysseyWebBrowser/tree/odyssey-r187682

TinyAros on Lenovo M70 intel dual core 3.20 Ghz, SSD 120 Gb, 4 Gb Ram DDR3, Nvidia Geforce 8400 GS 512 Mb DDR3


wawa

  • Senior Member
  • ****
    • Posts: 265
    • Karma: +2/-0
Reply #17 on: November 02, 2019, 01:42:38 PM
I know this all and these are mostly my patches reapplied to deadwoods repo. the upgrade of ffmoeg can be easly rolled back. But it isnt a problem. The problem is that v0 toolchain is outdated and im not sure if its worth countless hours to compile odyssey for it just because one user complains.



salvo

  • Legendary Member
  • *****
    • Posts: 511
    • Karma: +7/-0
  • Invalid Civil
    • Youtube Music Channel
Reply #18 on: November 02, 2019, 02:23:53 PM
in the patch created by nicola scendoni there is the part related to openssl and the part related to ffmepg, openssl works I realized that I had ticked on the security settings the box ignores ssl errors and therefore this caused problems to the browser, I have not figured out how to apply the patch otherwise I could try to compile as per nicola scendoni instructions eliminating the part related to ffmpeg that does not work now, the result would be deadwood owb with updated openssl :)

TinyAros on Lenovo M70 intel dual core 3.20 Ghz, SSD 120 Gb, 4 Gb Ram DDR3, Nvidia Geforce 8400 GS 512 Mb DDR3


salvo

  • Legendary Member
  • *****
    • Posts: 511
    • Karma: +7/-0
  • Invalid Civil
    • Youtube Music Channel
Reply #19 on: November 02, 2019, 04:33:37 PM
I will do deadwood tests since I am compiling owb your version with openssl updated thanks to the nicola scendoni script, in theory at this moment it should be fine :)

TinyAros on Lenovo M70 intel dual core 3.20 Ghz, SSD 120 Gb, 4 Gb Ram DDR3, Nvidia Geforce 8400 GS 512 Mb DDR3


wawa

  • Senior Member
  • ****
    • Posts: 265
    • Karma: +2/-0
Reply #20 on: November 02, 2019, 04:34:51 PM
i made new ssl compile for abiv0 work yesterday. i m looking a bit through these patches, but thes dont actually contain what might be useful to me. in fact i prefer to check out latest deadwood commit and start over clean.



wawa

  • Senior Member
  • ****
    • Posts: 265
    • Karma: +2/-0
Reply #21 on: November 02, 2019, 04:37:32 PM
the new ssl needs just few adjustments in the mmakefile backported from abi v1.



salvo

  • Legendary Member
  • *****
    • Posts: 511
    • Karma: +7/-0
  • Invalid Civil
    • Youtube Music Channel
Reply #22 on: November 02, 2019, 06:23:14 PM
I don't remember now the version of the library used by Nicola maybe 1.0.1h which at the moment is the minimum indispensable

TinyAros on Lenovo M70 intel dual core 3.20 Ghz, SSD 120 Gb, 4 Gb Ram DDR3, Nvidia Geforce 8400 GS 512 Mb DDR3


wawa

  • Senior Member
  • ****
    • Posts: 265
    • Karma: +2/-0
Reply #23 on: November 02, 2019, 11:22:07 PM
AROS/contrib/development/libs/openssl
yeah, abi 0 has 1.0.1t while abi v1 has 1.1.0h as well.



salvo

  • Legendary Member
  • *****
    • Posts: 511
    • Karma: +7/-0
  • Invalid Civil
    • Youtube Music Channel
Reply #24 on: November 03, 2019, 04:45:16 AM
yes

TinyAros on Lenovo M70 intel dual core 3.20 Ghz, SSD 120 Gb, 4 Gb Ram DDR3, Nvidia Geforce 8400 GS 512 Mb DDR3


nikos

  • Member
  • ***
    • Posts: 207
    • Karma: +5/-1
    • aspireos
Reply #25 on: November 05, 2019, 11:18:25 AM
Subversion does not work for me. I use Peppermint. It is Debian based. I have installed subversion.
Any idea?


wawa

  • Senior Member
  • ****
    • Posts: 265
    • Karma: +2/-0
Reply #26 on: November 05, 2019, 12:30:06 PM
@deadwood
here is my mmakefile for ssl update to 1.1.0 on abi v0. the diff needs to be copied from abi v1 current repo/branch. tested to compile. expect it working but not tested so far.



deadwood

  • AROS Developer
  • Junior Member
  • *****
    • Posts: 78
    • Karma: +5/-0
Reply #27 on: November 05, 2019, 08:24:46 PM
@wawa

Thanks for the patch. Are you planning to test whether the new version works?



wawa

  • Senior Member
  • ****
    • Posts: 265
    • Karma: +2/-0
Reply #28 on: November 05, 2019, 08:32:44 PM
i think salvo will certainly notice if it works. i dont have actually an experience to determine this and i dont plan to test abi v0 except under hosted where there wont be an internet connection actually.



deadwood

  • AROS Developer
  • Junior Member
  • *****
    • Posts: 78
    • Karma: +5/-0
Reply #29 on: November 05, 2019, 08:38:11 PM
Ok, I assume you will test it by including in Odyssey build, correct?